/**
 * 开票信息
 * */

$(document).ready(function() {
	//初始化时间
	laydate.render({
		elem: '#sc_time',
		range: '~',
		theme: '#1ab394',
		calendar: true
	});
	
	initTable();
	$("#sc_btns").click(function() {
		initTable();
	});

});

//列表
function initTable() {
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WoBill/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,// int 页码，默认为1	
				pagesize: params.pageSize,// int 条数，默认为10
				btime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //string 开始时间
				etime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //string 结束时间
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//格式化状态
function formatterStates(val){
	// F_IsDeal：是否处理，0未处理，1已接收，2已处理
	var str = '-';
	if(!val){
		str = '未处理';
	}else if(val === 1){
		str = '已接收';
	}else if(val === 2){
		str= '已处理';
	}
	return str;
}

//格式化是否开票
function formatterState(val){
	var str = '否';
	if(val === 1){
		str = '是';
	}
	return str;
}

//格式化 备注
function formatterDetail(val) {
	if(val) {
		var strD = decodeURIComponent(val);
		strD = helper.filter.filterHTMLTag(strD);
		if(strD.length > 10) {
			strD = strD.substring(0, 10) + '...';
		}
		return strD;
	}
}

//格式化操作
function formatterOprate(val, row) {
	// F_IsDeal：是否处理，0未处理，1已接收，2已处理
	// 所有人所有状态有查看操作
	// 取消删除操作
	// 所有人均可接单
	// 接单后 接单人有编辑和处理操作
	// 已处理后 只有查看操作

	var str = '<ul class="tool_downs">';
			str += '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_detail_' + val + '" onclick="btn_detail(' + val + ')" title="详情">详情</a></li>';
	if (!row.F_IsDeal){
		str += '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_receive_' + val + '" onclick="btn_receive(' + val + ')" title="接单">接单</a></li>';
	} else if (row.F_IsDeal === 1 && row.F_DealBy === $.cookie("usercode")){
		str += '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_deal_' + val + '" onclick="btn_deal(' + val + ')" title="处理">处理</a></li>';
		str += '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + val + '" onclick="btn_edit(' + val + ')" title="编辑">编辑</a></li>';
	}
	// str += '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + val + '" onclick="btn_delete(' + val + ')" title="删除">删除</a></li>'; 
	str += '</ul>';
	return str;
}

//添加
function btn_add(){
	layer.open({
		type: 2,
		title: '添加开票信息',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: 'template/addOrEditInvoice.html'
	});
}

//编辑
function btn_edit(editId){
	layer.open({
		type: 2,
		title: '编辑开票信息',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: 'template/addOrEditInvoice.html?edit_id=' + editId
	});
}

//详情
function btn_detail(editId) {
	layer.open({
		type: 2,
		title: '开票信息详情',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: 'template/seeInvoice.html?edit_id=' + editId
	});
}

//接单
function btn_receive(bid) {
	layer.confirm('您确认要接单吗？', {
		icon: 7,
		btn: ['接单', '取消'] //按钮
	}, function () {
		$.post(huayi.config.callcenter_url + 'WoBill/DealRBill', {
			billid: bid,
			token: $.cookie("token")
		}, function (result) {
			result = $.parseJSON(result);
			if (result.state.toLowerCase() == "success") {
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.msg("接单成功");
			}
		})
	});
}

/**
 * 处理
 * @id billid
 * */
function btn_deal(bid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入处理的备注信息',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function (value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WoBill/DealBill', {
			billid: bid,
    	content: value,//备注信息
			token: $.cookie("token")
		}, function (result) {
			result = $.parseJSON(result);
			if (result.state.toLowerCase() == "success") {
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
				layer.msg("处理成功！");
			}
		})
	});
}

//删除
function btn_delete(oid) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "WoBill/DelBill",
			dataType: 'json',
			async: true,
			data: {
				ids: oid,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#workorderlist').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}
